CMSIS-DSP: arm_fir_interpolate_instance_q15 Struct Reference

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_fir_interpolate_instance_q15 Struct Reference

Instance structure for the Q15 FIR interpolator.

## Data Fields
uint8_t | L
uint16_t | phaseLength
const q15_t * | pCoeffs
q15_t * | pState

## Field Documentation

uint8_t arm_fir_interpolate_instance_q15::L

upsample factor.

const q15_t* arm_fir_interpolate_instance_q15::pCoeffs

points to the coefficient array. The array is of length L*phaseLength.

uint16_t arm_fir_interpolate_instance_q15::phaseLength

length of each polyphase filter component.

q15_t* arm_fir_interpolate_instance_q15::pState

points to the state variable array. The array is of length blockSize+phaseLength-1.